version: '3.3'
services:
  redis:
    image: 'redis:6'
    ports:
      - '25000:6379'
    volumes:
      - ./.dck/redis:/data
    labels:
      tech.jetsam.environment: 'staging'
  amqp:
    image: 'rabbitmq:3-management'
    hostname: jetsam_rabbit
    ports:
      - '25001:5672'
      - '25002:15672'
    volumes:
      - ./.dck/rabbit:/data
    labels:
      tech.jetsam.environment: 'staging'
  hsaura:
    image: hasura/graphql-engine:v1.3.3
    ports:
      - "25003:8080"
    network_mode: "host"
    environment:
      HASURA_GRAPHQL_DATABASE_URL: postgres://jetsam:jetsam@localhost:5432/jetsam
      HASURA_GRAPHQL_ENABLE_CONSOLE: "true"
      HASURA_GRAPHQL_DEV_MODE: "true"
      HASURA_GRAPHQL_ADMIN_SECRET: "secret_key"
      HASURA_GRAPHQL_JWT_SECRET: '{"jwk_url":"http://localhost:7123/.well-known/jwks.json","claims_map":{"x-hasura-user-id":{"path":"$$.session.id"},"x-hasura-allowed-roles":{"path":"$$.session.roles"},"x-hasura-default-role":{"path":"$$.session.roles[0]"}}}'